
<div style="display: flex; align-items: center">
  <h2>{{title}}</h2>
  <div [routerLink]="[ '/product','admin','list']"
       routerLinkActive="activeLinkClass" style="margin-left: 10px; color: #1976d2; cursor: pointer" *ngIf="isAdmin()"> Edit
  </div><div (click)="logout()"  style="margin-left: 10px; color: #1976d2; cursor: pointer" *ngIf="isAdmin()"> Déconnexion
  </div>
  <div [routerLink]="[ '/product','login']"
       routerLinkActive="activeLinkClass" style="margin-left: 10px; color: #1976d2; cursor: pointer" *ngIf="!isAdmin()"> Connexion
  </div>
</div>
<div>
  <ul class="products">
    <li *ngFor="let product of productList">

      <button [routerLink]="[ '/product','edit', product.id]" routerLinkActive="activeLinkClass" type="button" (click)="onSelect(product)">
        <span class="badge">{{renderRank(product.id)}}</span>
        <span class="name">{{product.name}}</span>
      </button>

    </li>
  </ul>
</div>


